# Get currency exchange quote

`GET https://api.strike.me/v1/currency-exchange-quotes/{quoteId}`

Source: https://docs.strike.me/api/get-currency-exchange-quote/

---

Required scopes:

- partner.currency-exchange-quote.read

## Path parameters

- `quoteId` (uuid, required)

## Responses

### 200 OK

`application/json`

- `id` (uuid, required): ID of the exchange quote.
- `created` (date-time, required): Date and time when the exchange quote was created.
- `validUntil` (date-time, required): Date and time when the exchange quote expires.
- `source` (object, required): Amount sold.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `target` (object, required): Amount bought.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `fee` (object, required): Service fee. The user will be charged this amount on top of what the `source` specifies.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `conversionRate` (object, required): Conversion rate used for the transaction.
  - `amount` (string, required): Currency amount in decimal format.
  - `sourceCurrency` (string, required): Source currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `targetCurrency` (string, required): Target currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `state` (string, required): State of the currency exchange quote. One of `NEW`, `PENDING`, `COMPLETED`, `FAILED`.
- `completed` (date-time): Timestamp at which the exchange was completed.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
